CGAL 5.6.3 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2 Class Reference

`#include <CGAL/Arr_rational_function_traits_2.h>`

## Definition

template<typename AlgebraicKernel_d_1>
class CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2

The `X_monotone_curve_2` class nested within the traits is used to represent \( x\)-monotone parts of rational functions.

In particular, such an \( x\)-monotone curve may not contain a vertical asymptote in its interior \( x\)-range.

Is Model Of:
  `ArrTraits::XMonotoneCurve_2`

## Types
typedef AlgebraicKernel_d_1::Polynomial_1 | Polynomial_1
typedef AlgebraicKernel_d_1::Algebraic_real_1 | Algebraic_real_1
typedef Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::Point_2 | Point_2

## Operations
const Polynomial_1 & | numerator () const
| returns the numerator of the supporting rational function.
const Polynomial_1 & | denominator () const
| returns the denominator of the supporting rational function.
Arr_parameter_space | source_parameter_space_in_x () const
| returns whether the \( x\)-coordinate of the source is finite or whether it is \( \pm\infty\).
Arr_parameter_space | source_parameter_space_in_y () const
| returns whether the \( y\)-coordinate of the source is finite or whether it is \( \pm\infty\).
const Point_2 & | source () const
| returns the source point of the arc.
Algebraic_real_1 | source_x () const
| returns the \( x\)-coordinate of the source point.
Arr_parameter_space | target_parameter_space_in_x () const
| returns whether the \( x\)-coordinate of the target is finite or whether it is \( \pm\infty\).
Arr_parameter_space | target_parameter_space_in_y () const
| returns whether the \( y\)-coordinate of the target is finite or whether it is \( \pm\infty\).
const Point_2 & | target () const
| returns the target point of the arc.
Algebraic_real_1 | target_x () const
| returns the \( x\)-coordinate of the target point.
Arr_parameter_space | left_parameter_space_in_x () const
| returns whether the \( x\)-coordinate of the left curve end is finite or whether it is \( \pm\infty\).
Arr_parameter_space | left_parameter_space_in_y () const
| returns whether the \( y\)-coordinate of the left curve end is finite or whether it is \( \pm\infty\).
const Point_2 & | left () const
| returns the left point of the arc.
Algebraic_real_1 | left_x () const
| returns the \( x\)-coordinate of the left point.
Arr_parameter_space | right_parameter_space_in_x () const
| returns whether the \( x\)-coordinate of the right curve end is finite or whether it is \( \pm\infty\).
Arr_parameter_space | right_parameter_space_in_y () const
| returns whether the \( y\)-coordinate of the right curve end is finite or whether it is \( \pm\infty\).
const Point_2 & | right () const
| returns the right point of the arc.
Algebraic_real_1 | right_x () const
| returns the \( x\)-coordinate of the right point.
bool | is_left_to_right () const
| returns whether the curve is oriented from left to right.

## Member Function Documentation

## ◆ left()

template<typename AlgebraicKernel_d_1 >

const Point_2 & CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::left | ( |  | ) | const

returns the left point of the arc.

Precondition
  Both the \( x\)- and \( y\)-coordinates of the left point is finite.

## ◆ left_x()

template<typename AlgebraicKernel_d_1 >

Algebraic_real_1 CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::left_x | ( |  | ) | const

returns the \( x\)-coordinate of the left point.

Precondition
  The \( x\)-coordinate of the left point is finite.

## ◆ right()

template<typename AlgebraicKernel_d_1 >

const Point_2 & CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::right | ( |  | ) | const

returns the right point of the arc.

Precondition
  Both the \( x\)- and \( y\)-coordinates of The right point is finite.

## ◆ right_x()

template<typename AlgebraicKernel_d_1 >

Algebraic_real_1 CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::right_x | ( |  | ) | const

returns the \( x\)-coordinate of the right point.

Precondition
  The \( x\)-coordinate of the right point is finite.

## ◆ source()

template<typename AlgebraicKernel_d_1 >

const Point_2 & CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::source | ( |  | ) | const

returns the source point of the arc.

Precondition
  Both the \( x\)- and \( y\)-coordinates of the source point is finite.

## ◆ source_x()

template<typename AlgebraicKernel_d_1 >

Algebraic_real_1 CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::source_x | ( |  | ) | const

returns the \( x\)-coordinate of the source point.

Precondition
  The \( x\)-coordinate of the source point is finite.

## ◆ target()

template<typename AlgebraicKernel_d_1 >

const Point_2 & CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::target | ( |  | ) | const

returns the target point of the arc.

Precondition
  Both the \( x\)- and \( y\)-coordinates of the target point is finite.

## ◆ target_x()

template<typename AlgebraicKernel_d_1 >

Algebraic_real_1 CGAL::Arr_rational_function_traits_2< AlgebraicKernel_d_1 >::X_monotone_curve_2::target_x | ( |  | ) | const

returns the \( x\)-coordinate of the target point.

Precondition
  The \( x\)-coordinate of the target point is finite.